.Net Core in Kentico MVC?

Lately I have been asked by quite a few developers, quite a few times, if it is possible to use .Net Core 2.0 with Kentico? This is especially true with developers who are going down the path of using MVC with Kentico. So I though instead of repeating the same story over and over, I would make my opinion known publicly on my blog. 

The official short answer to this question is unfortunately no. Currently with both Kentico 10 and Kentico 11 you need to still use the full ASP.NET Framework versions 4.6.x or 4.7.x. These framework versions basically set you up to also only use MVC 5 and not anything far along than that (sorry Razor Pages).

However, there is actually a little bit more to the story, and a bit longer answer to consider. Keep reading after the jump to get the full picture and maybe learn a bit more about where this is all going.

Read more »